Bug 606463 - pacemaker triggers corosync segfault during fork
Summary: pacemaker triggers corosync segfault during fork
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Steven Dake
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-21 17:04 UTC by Steven Dake
Modified: 2016-04-26 15:59 UTC (History)
1 user (show)

Fixed In Version: corosync-1.2.3-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 13:53:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
flatiron branch 2051 to fix the problem (460 bytes, patch)
2010-06-21 17:06 UTC, Steven Dake
no flags Details | Diff
flatiron branch revision 2978 (1.06 KB, patch)
2010-06-30 19:09 UTC, Steven Dake
no flags Details | Diff

Description Steven Dake 2010-06-21 17:04:52 UTC
Description of problem:
Not closing stdin/stderr/stdout leads to a segfault in fresetlockfiles()
See https://lists.linux-foundation.org/pipermail/openais/2010-June/014854.html for further info.


Version-Release number of selected component (if applicable):
corosync-1.2.3-2.el6

How reproducible:


Steps to Reproduce:
1. see ml link
2.
3.
  
Actual results:
segfault

Expected results:
no segfualt

Additional info:

Comment 1 Steven Dake 2010-06-21 17:06:16 UTC
Created attachment 425700 [details]
flatiron branch 2051 to fix the problem

Comment 2 RHEL Product and Program Management 2010-06-21 17:23:21 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Steven Dake 2010-06-30 19:06:13 UTC
2051 failed in a community member's test case for this problem.

Comment 4 Steven Dake 2010-06-30 19:09:45 UTC
Created attachment 428072 [details]
flatiron branch revision 2978

Comment 6 releng-rhel@redhat.com 2010-11-15 13:53:49 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.